<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Objects
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="Object-Management-and-Administration_7439944.html">Object Management and Administration</a></span>
              </li>
              <li>
                <span><a href="TextGrid-Objects_7439230.html">TextGrid Objects</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Objects</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Philipp Vanscheidt</span>, last modified by <span class="editor">Kathleen Smith</span> on May 25, 2012
          </div>
          <div id="main-content" class="wiki-content group">
            <p class="noindent">
              Objects are the basic building blocks and smallest unit of data in TextGrid. If you store something in TextGrid - be it an XML document, an image, or any other kind of data -, it will be saved as one or more Objects.
            </p>
            <p class="stmary-10x-x-109">
              An Object consists of a <a href="Metadata-Editor_7439270.html">metadata record</a> and content. Both will be handled together: When you edit an Object’s content in an editor, you can always switch to the <a href="Metadata-Editor_7439270.html">Metadata Editor</a> to modify the Object’s metadata, and the metadata record will be saved whenever you save the Object. You can view and edit mainly descriptive, bibliographic metadata using the <a href="Metadata-Editor_7439270.html">Metadata Editor</a>. All metadata for an Object can be reviewed in a dialog opened by the item “Show technical metadata” in the Object’s <a href="Context-Menu-of-the-Navigator-View_7439200.html">context menu</a>.
            </p>
            <p class="noindent">
              Each Object is identified by an URI (Uniform Resource Identifier) in a form such as <em>textgrid:74k0.1</em>. The URI is automatically generated when an Object is saved to the Repository for the first time. New Objects that have not yet been saved will be identified by a temporary URI. You can copy the URI to the clipboard using “Copy URI” from the Object’s context menu, or you can review it in the “Show technical metadata” dialog. In addition, the URI of an Object is visible in the status bar when you select it in the Navigator so that it is highlighted.
            </p>
            <p class="stmary-10x-x-109">
              Every Object has a format or content type: This is a required metadata field that specifies the (technical) format of the content. Examples are <em>text/xml</em> and <em>image/jpeg</em>, but there are also some special TextGrid-specific content types like <em>text/tg.aggregation+xml</em><span class="noindent"> </span>. Each Object with a specific URI appears in exactly one Project. Projects are containers for the <a href="7439216.html">user rights management</a>. Each TextGrid Object is either an <a href="Items_7439236.html">Item</a><span class="stmary-10x-x-109"> </span>, an <a href="Editions_7439238.html">Edition</a>, a <a href="Works_7439240.html">Work</a> or a <a href="Collections_7439242.html">Collection</a> - these Object classes have different metadata and semantics.
            </p>
          </div>
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
